'use strict';

const index = require('./index-082a9ba3.js');

/*
 Stencil Client Patch Browser v2.18.1 | MIT Licensed | https://stenciljs.com
 */
const patchBrowser = () => {
    const importMeta = (typeof document === 'undefined' ? new (require('u' + 'rl').URL)('file:' + __filename).href : (document.currentScript && document.currentScript.src || new URL('gx-intersection-observer.cjs.js', document.baseURI).href));
    const opts = {};
    if (importMeta !== '') {
        opts.resourcesUrl = new URL('.', importMeta).href;
    }
    return index.promiseResolve(opts);
};

patchBrowser().then(options => {
  return index.bootstrapLazy([["gx-intersection-observer.cjs",[[1,"gx-intersection-observer",{"bottomMargin":[1,"bottom-margin"],"cssClass":[1,"css-class"],"leftMargin":[1,"left-margin"],"threshold":[1],"topMargin":[1,"top-margin"],"rightMargin":[1,"right-margin"],"root":[1]}]]]], options);
});
