import { p as promiseResolve, b as bootstrapLazy } from './index-466933b8.js';

/*
 Stencil Client Patch Esm v2.18.1 | MIT Licensed | https://stenciljs.com
 */
const patchEsm = () => {
    return promiseResolve();
};

const defineCustomElements = (win, options) => {
  if (typeof window === 'undefined') return Promise.resolve();
  return patchEsm().then(() => {
  return bootstrapLazy([["gx-intersection-observer",[[1,"gx-intersection-observer",{"bottomMargin":[1,"bottom-margin"],"cssClass":[1,"css-class"],"leftMargin":[1,"left-margin"],"threshold":[1],"topMargin":[1,"top-margin"],"rightMargin":[1,"right-margin"],"root":[1]}]]]], options);
  });
};

export { defineCustomElements };
